# use appimage from https://github.com/mltframework/shotcut/releases/

%define __os_install_post %{nil}

Name:	shotcut
Version:	240128
Release:	%mkrel 1
License:	GPLv3
Group:	Video
Summary:	Linux Video Editor
Url:		https://github.com/mltframework/shotcut/releases
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Shotcut is a free and open-source cross-platform video editing application for
Windows, OS X, and Linux.

Shotcut supports many video, audio, and image formats via FFmpeg and screen,
webcam, and audio capture. It uses a timeline for non-linear video editing of
multiple tracks that may be composed of various file formats. Scrubbing and
transport control are assisted by OpenGL GPU-based processing and a number of
video and audio filters are available.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/mltframework/shotcut/releases/download/v24.01.28/shotcut-linux-x86_64-240128.AppImage
popd

install -Dm 0755 %{_sourcedir}/shotcut-linux-x86_64-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Wed Jan 31 2024 tex - 240128-1pclos2024
- new version

* Sun Dec 17 2023 tex - 231215-1pclos2023
- new version

* Thu Dec 07 2023 tex - 231129-1pclos2023
- new version

* Sat Oct 07 2023 tex - 230929-1pclos2023
- new version
